Subject: Re: bug#54881: gnu: Add ncurses-5, ncurses/tinfo-5.

From: "B. Wilson" <[email-masked]>
Date: Tue, 10 May 2022 06:57:40 +0900

> We could apply the part introducing the make-ncurses-package procedure
> but leave the definition of ncurses-5 and ncurses/tinfo-5 to the
> channels which have a use for it?

Sounds reasonable to me.

> While testing the make-ncurses-package procedure, I have the following
> compile error:
> 
> --8<---------------cut here---------------start------------->8---
> gnu/packages/ncurses.scm:200:16: In procedure arguments:
> error: extra-configure-flags: unbound variable
> hint: Did you forget a `use-modules' form?
> --8<---------------cut here---------------end--------------->8---
> 
> Anything familiar?

Oof. That can be safely removed. I built and tested locally, but it looks like
that change is sitting on my local machine uncomitted. Whoops!